#!/bin/bash
set -ev

echo "./travis.sh PC (for PC version)"
echo "./travis.sh (for ARM version)"

rm -rf build
mkdir build
cd build
#cmake .. 
if [ "$1" == "" ]; then
	echo "build ARM gptp"
	cmake .. -DCMAKE_BUILD_TYPE=Release -DPLATFORM_TYPE=SCHUBERT -DCMAKE_TOOLCHAIN_FILE=../cmake/devel_vienna_toolchain.cmake -DCMAKE_EXPORT_COMPILE_COMMANDS=ON
else
	echo "build PC gptp"
	cmake .. 
fi
make
#cd ../doc
#mkdir build
#cd build
#cmake ..
#cmake .. -DCMAKE_BUILD_TYPE=Release -DPLATFORM_TYPE=SCHUBERT -DCMAKE_TOOLCHAIN_FILE=../cmake/devel_vienna_toolchain.cmake -DCMAKE_EXPORT_COMPILE_COMMANDS=ON
#make doc
